Loading...
Searching...
No Matches
msh2geo.cc

msh2geo - convert gmsh mesh in geo format More...

Go to the source code of this file.

## Classes

struct | point_basic< T >
struct | geo_element_indirect
class | geo_element
| see the geo_element page for the full documentation More...

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::edge
namespace | rheolef::triangle
namespace | rheolef::quadrangle
namespace | rheolef::tetrahedron
namespace | rheolef::prism
namespace | rheolef::hexahedron

## Functions

void | numbering_Pk_dis_idof (size_t order, const array< size_t, reference_element__max_variant > &size_by_variant, const array< size_t, reference_element__max_variant+1 > &first_by_variant, const array< size_t, reference_element__max_variant > &loc_ndof_by_variant, const geo_element &K, vector< size_t > &dis_idof1)
void | put_domain_noupgrade (ostream &out, size_t dim, size_t dom_dim, const map< size_t, list< size_t > > &domain_map, map< size_t, string > &phys, const vector< geo_element > &element)
void | put_domain_upgrade (ostream &out, size_t dim, size_t dom_dim, const map< size_t, list< size_t > > &domain_map, map< size_t, string > &phys, const vector< geo_element > &element, const vector< geo_element_side > &edge, const vector< index_set > &edge_ball, const vector< geo_element_side > &face, const vector< index_set > &face_ball)
void | msh2geo (istream &in, ostream &out, string sys_coord_name, bool do_upgrade)
void | usage ()
int | main (int argc, char **argv)

## Detailed Description

msh2geo - convert gmsh mesh in geo format

Definition in file msh2geo.cc.

## Function Documentation

## numbering_Pk_dis_idof()

void numbering_Pk_dis_idof | ( | size_t | order,
|  | const array< size_t, reference_element__max_variant > & | size_by_variant,
|  | const array< size_t, reference_element__max_variant+1 > & | first_by_variant,
|  | const array< size_t, reference_element__max_variant > & | loc_ndof_by_variant,
|  | const geo_element & | K,
|  | vector< size_t > & | dis_idof1 )

Definition at line 313 of file msh2geo.cc.

## put_domain_noupgrade()

void put_domain_noupgrade | ( | ostream & | out,
|  | size_t | dim,
|  | size_t | dom_dim,
|  | const map< size_t, list< size_t > > & | domain_map,
|  | map< size_t, string > & | phys,
|  | const vector< geo_element > & | element )

Definition at line 396 of file msh2geo.cc.

## put_domain_upgrade()

void put_domain_upgrade | ( | ostream & | out,
|  | size_t | dim,
|  | size_t | dom_dim,
|  | const map< size_t, list< size_t > > & | domain_map,
|  | map< size_t, string > & | phys,
|  | const vector< geo_element > & | element,
|  | const vector< geo_element_side > & | edge,
|  | const vector< index_set > & | edge_ball,
|  | const vector< geo_element_side > & | face,
|  | const vector< index_set > & | face_ball )

Definition at line 434 of file msh2geo.cc.

## msh2geo()

void msh2geo | ( | istream & | in,
|  | ostream & | out,
|  | string | sys_coord_name,
|  | bool | do_upgrade )

Definition at line 513 of file msh2geo.cc.

## usage()

void usage | ( |  | ) |

Definition at line 1051 of file msh2geo.cc.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 1058 of file msh2geo.cc.